### Method

# EDataCal CalCache put_component

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_put_component (
      ECalCache* cal_cache,
      ECalComponent* component,
      const gchar* extra,
      guint32 custom_flags,
      ECacheOfflineFlag offline_flag,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Adds a `component` into the `cal_cache`. Any existing with the same UID and RID is replaced.

Available since: 3.26

#### Parameters

`component`

  Type: `ECalComponent`

  An `ECalComponent` to put into the `cal_cache`.

  The data is owned by the caller of the method.

`extra`

  Type: `const gchar*`

  An extra data to store in association with the `component`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`custom_flags`

  Type: `guint32`

  Custom flags for the `component`, not interpreted by the `cal_cache`.

`offline_flag`

  Type: `ECacheOfflineFlag`

  One of `ECacheOfflineFlag`, whether putting this component in offline.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.